gstreamermm: Gst::VideoOrientation Class Reference

gstreamermm 1.10.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::VideoOrientation Class Reference
gstreamermm Interfaces

An interface for elements providing video orientation controls. More...

`#include <gstreamermm/videoorientation.h>`

Inheritance diagram for Gst::VideoOrientation:
[legend]

## Public Member Functions
| VideoOrientation (VideoOrientation&& src) noexcept
VideoOrientation& | operator= (VideoOrientation&& src) noexcept
| ~VideoOrientation () noexcept override
GstVideoOrientation* | gobj ()
| Provides access to the underlying C GObject. More...
const GstVideoOrientation* | gobj () const
| Provides access to the underlying C GObject. More...
bool | get_hcenter (int& center) const
| Get the horizontal centering offset from the given object. More...
bool | get_hflip (bool& flip) const
| Get the horizontal flipping state (`true` for flipped) from the given object. More...
bool | get_vcenter (int& center) const
| Get the vertical centering offset from the given object. More...
bool | get_vflip (bool& flip) const
| Get the vertical flipping state (`true` for flipped) from the given object. More...
bool | set_hcenter (int center)
| Set the horizontal centering offset for the given object. More...
bool | set_hflip (bool flip)
| Set the horizontal flipping state (`true` for flipped) for the given object. More...
bool | set_vcenter (int center)
| Set the vertical centering offset for the given object. More...
bool | set_vflip (bool flip)
| Set the vertical flipping state (`true` for flipped) for the given object. More...
virtual bool | get_hflip_vfunc (bool& flip) const
virtual bool | get_vflip_vfunc (bool& flip) const
virtual bool | get_hcenter_vfunc (int& center) const
virtual bool | get_vcenter_vfunc (int& center) const
virtual bool | set_hflip_vfunc (bool flip)
virtual bool | set_vflip_vfunc (bool flip)
virtual bool | set_hcenter_vfunc (int center)
virtual bool | set_vcenter_vfunc (int center)
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| VideoOrientation ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::VideoOrientation > | wrap (GstVideoOrientation* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

An interface for elements providing video orientation controls.

The interface allows unified access to control flipping and autocenter operation of video-sources or operators.

## Constructor & Destructor Documentation

## ◆ VideoOrientation() [1/2]

Gst::VideoOrientation::VideoOrientation | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ VideoOrientation() [2/2]

Gst::VideoOrientation::VideoOrientation | ( | VideoOrientation&& | src | ) |
| noexcept

## ◆ ~VideoOrientation()

Gst::VideoOrientation::~VideoOrientation | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gst::VideoOrientation::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_hcenter()

bool Gst::VideoOrientation::get_hcenter | ( | int & | center | ) | const

Get the horizontal centering offset from the given object.

Parameters

  center | Return location for the result.

Returns
  `true` in case the element supports centering.

## ◆ get_hcenter_vfunc()

virtual bool Gst::VideoOrientation::get_hcenter_vfunc | ( | int & | center | ) | const
| virtual

## ◆ get_hflip()

bool Gst::VideoOrientation::get_hflip | ( | bool & | flip | ) | const

Get the horizontal flipping state (`true` for flipped) from the given object.

Parameters

  flip | Return location for the result.

Returns
  `true` in case the element supports flipping.

## ◆ get_hflip_vfunc()

virtual bool Gst::VideoOrientation::get_hflip_vfunc | ( | bool & | flip | ) | const
| virtual

## ◆ get_type()

static GType Gst::VideoOrientation::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_vcenter()

bool Gst::VideoOrientation::get_vcenter | ( | int & | center | ) | const

Get the vertical centering offset from the given object.

Parameters

  center | Return location for the result.

Returns
  `true` in case the element supports centering.

## ◆ get_vcenter_vfunc()

virtual bool Gst::VideoOrientation::get_vcenter_vfunc | ( | int & | center | ) | const
| virtual

## ◆ get_vflip()

bool Gst::VideoOrientation::get_vflip | ( | bool & | flip | ) | const

Get the vertical flipping state (`true` for flipped) from the given object.

Parameters

  flip | Return location for the result.

Returns
  `true` in case the element supports flipping.

## ◆ get_vflip_vfunc()

virtual bool Gst::VideoOrientation::get_vflip_vfunc | ( | bool & | flip | ) | const
| virtual

## ◆ gobj() [1/2]

GstVideoOrientation* Gst::VideoOrientation::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GstVideoOrientation* Gst::VideoOrientation::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

VideoOrientation& Gst::VideoOrientation::operator= | ( | VideoOrientation&& | src | ) |
| noexcept

## ◆ set_hcenter()

bool Gst::VideoOrientation::set_hcenter | ( | int | center | ) |

Set the horizontal centering offset for the given object.

Parameters

  center | Centering offset.

Returns
  `true` in case the element supports centering.

## ◆ set_hcenter_vfunc()

virtual bool Gst::VideoOrientation::set_hcenter_vfunc | ( | int | center | ) |
| virtual

## ◆ set_hflip()

bool Gst::VideoOrientation::set_hflip | ( | bool | flip | ) |

Set the horizontal flipping state (`true` for flipped) for the given object.

Parameters

  flip | Use flipping.

Returns
  `true` in case the element supports flipping.

## ◆ set_hflip_vfunc()

virtual bool Gst::VideoOrientation::set_hflip_vfunc | ( | bool | flip | ) |
| virtual

## ◆ set_vcenter()

bool Gst::VideoOrientation::set_vcenter | ( | int | center | ) |

Set the vertical centering offset for the given object.

Parameters

  center | Centering offset.

Returns
  `true` in case the element supports centering.

## ◆ set_vcenter_vfunc()

virtual bool Gst::VideoOrientation::set_vcenter_vfunc | ( | int | center | ) |
| virtual

## ◆ set_vflip()

bool Gst::VideoOrientation::set_vflip | ( | bool | flip | ) |

Set the vertical flipping state (`true` for flipped) for the given object.

Parameters

  flip | Use flipping.

Returns
  `true` in case the element supports flipping.

## ◆ set_vflip_vfunc()

virtual bool Gst::VideoOrientation::set_vflip_vfunc | ( | bool | flip | ) |
| virtual

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gst::VideoOrientation > wrap | ( | GstVideoOrientation * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.